'use strict';

function cycleImages() {

  var active = $('.hero__image--active');

  var next = (active.next().length > 0) ? active.next() : $('.hero').find('li:first');

  next.css('z-index', -10);

  active.fadeOut(5000, function() {

    active.css('z-index', -100).show().removeClass('hero__image--active');

    next.css('z-index', -1).addClass('hero__image--active');

  });

}

$(function() {

  'use strict';

  var toggle = false;

  $("#sp-menu-button").click(function(){
    $(this).toggleClass("active");
    if($(this).hasClass("active")){
      toggle = true;
      $("body").addClass("noScl");
      $("#main,header").animate({"left": "-70%"}, 400);
      $("#menu_sp").animate({
					"left": "30%"
				}, 400);
      // $(this).on('touchmove.noScroll', function(e) {
      //     e.preventDefault();
      // });
      $(window).on('touchmove.noScroll', function(e) {
          e.preventDefault();
      });
    } else {
      toggle = false;
      closeMenuWithAnimation();
      // $("#menu_sp").off('.noScroll');
      $(window).off('.noScroll');
    }
    return false;
  });

  $("main").click(function(){
    if($("#sp-menu-button").hasClass("active")){
      toggle = false;
      closeMenuWithAnimation();
      $("#sp-menu-button").toggleClass("active");
      // $("#menu_sp").off('.noScroll');
      $(window).off('.noScroll');
    }
  });

  $("header").click(function(){
    if($("#sp-menu-button").hasClass("active")){
      toggle = false;
      closeMenuWithAnimation();
      $("#sp-menu-button").toggleClass("active");
      // $("#menu_sp").off('.noScroll');
      $(window).off('.noScroll');
    }
  });

  var d_flag = false;
  $(window).resize(function() {
    var height = $('.hero').find('li').innerHeight();
    $('.hero').innerHeight(height);
    $("#main,header").css({"left":0});
    $("body").removeClass("noScl");
    $("#menu_sp").css({"left":"100%"});
    $("#sp-menu-button").removeClass("active");
    if( window.screen.width > 568 ) {
      if( !d_flag ){
        d_flag = true;
        $('#viewport').attr("content","width=1100,minimum-scale=0.1");
      }
    } else {
      if( d_flag ){
        d_flag = false;
        $('#viewport').attr("content","width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no");

      }
    }
  }).resize();

  $('[data-scroll]').on('click', function() {

    // var pos = $($(this).attr('href')).offset().top - $('header').innerHeight();

    var pos = $($(this).attr('href')).offset().top;

    $('html, body').animate({
      scrollTop:pos
    },function() {
      if( toggle ){
        $("#sp-menu-button").click();
      }
    });
    return false;
  });

  $('#content_slider').slick({
    infinite: true,
    dots:true,
    slidesToShow: 3,
    slidesToScroll: 1,
    autoplay: true,
    autoplaySpeed: 2000,
    appendArrows: $('#arrows'),
    responsive: [{
      breakpoint: 569,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1,
      }
    }]
  });

  function closeMenuWithAnimation() {
    $("#main,header").animate({"left":0}, 400);
    $("#menu_sp").animate({
				"left": "100%"
			}, 400, function(){
        $("body").removeClass("noScl");
			});
  }

});

$(window).on('load', function() {

  var height = $('.hero').find('li').innerHeight();

  $('.hero').innerHeight(height);

  $('.hero').find('li').first().addClass('hero__image--active');

  setInterval('cycleImages()', 3000);

});
